# timeout in s to end script when nothing is received (will be restarted by systemd then)
# must be higher than getStatusInterval 
quitOnNoReceiveTimeout = 75

# status file - on ramdrive (/tmp on RasPi by default)
# is "touched" every time a serial message comes in so that working communication can be monitored easily
#statusFile = '/tmp/ioext_running'
#statusFile = '/run/user/1000/ioext_running'
statusFile = ''

# serial port config
serialPort = '/dev/serial/by-id/usb-1a86_USB_Serial-if00-port0'
serialBaud = 57600
serialTimeout = 1 # should be 1 as above interval/timeout relies on it

# Input Pins / MQTT Topics/Settings
P2_MQTT_Topic = "T5/Wohnungstuer/Tuerkontakt"
P2_MQTT_SendRetained = True
P2_MQTT_SendLastUpdate = True
P2_MQTT_SendOnlyIfValueChanged = True

P3_MQTT_Topic = "T5/VZ/PIR1"
P3_MQTT_SendRetained = False
P3_MQTT_SendLastUpdate = False
P3_MQTT_SendOnlyIfValueChanged = True

P4_MQTT_Topic = "T5/VZ/PIR2"
P4_MQTT_SendRetained = False
P4_MQTT_SendLastUpdate = False
P4_MQTT_SendOnlyIfValueChanged = True

DHT22_MQTT_Topic_Temp = "T5/Abstr/Sensors/temp"
DHT22_MQTT_Topic_Hum = "T5/Abstr/Sensors/hum"
DHT22_MQTT_SendRetained = False
DHT22_MQTT_SendLastUpdate = False

# MQTT config
mqtt_server = "mqtt.lan"
mqtt_port = 1883
mqtt_user = "xxxxx"
mqtt_password = "xxxxx"

mqtt_base_topic = "T5/HomeSvrIOExt"

